commit 9884a41dd0282ca3dd19db5bf3a11554ee7eee57
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Feb 28 19:02:58 2008 -0800

    Version bump: 1.0.4

commit f6c7c70f312c8eb0883437c003ba78bb4abbabc3
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Dec 7 15:41:42 2007 -0800

    Coverity #467: security_error_list has fewer than XSecurityNumberErrors entries
    
    Sometimes it's annoying that C silently merges adjacent strings without
    warning you that you forgot a comma in your list of strings.

commit 37fe15843fd892c529e554f24a937ed712ea129c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Dec 7 15:39:13 2007 -0800

    Allow overriding the SOREV in configure.ac

commit 285deb33da14fb5476b18cb1071b41070cf3ae99
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 15:51:16 2007 -0500

    Add missing PHONY line for automatic ChangeLog generation

commit 249daf0d8a044a97d053c957ab45445c159d31e4
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Nov 28 17:29:28 2007 -0800

    XeviGetVisualInfo: check for null pointer before writing to it, not after

commit a7d211f6e3ded98c79e7be73253a51958d3e98db
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Nov 27 18:12:29 2007 -0800

    include of config.h should not be inside #ifdef WIN32

commit 1614ea1074d62f32f51032141b0c55250380ca17
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Nov 27 17:54:34 2007 -0800

    Add hooks for checking code with lint/sparse/etc.

commit 8a2bb8793eed1c7f690be5c00772b2a64b9632fd
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Nov 27 16:54:21 2007 -0800

    Fix sparse warnings (type mismatches in function pointers, int as pointer)

commit 781dbe7d723e9fe5a0e028dcb5a0fafeb59629e3
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Nov 27 16:11:49 2007 -0800

    Add missing copyright/license notices to COPYING

commit 39cb1caa381666ac79307d3d312992d4e22980d1
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Nov 27 16:03:14 2007 -0800

    Fix incorrect comment delimiters in libXext man pages
    
    Similar to X.Org Bug #4312 <http://bugs.freedesktop.org/show_bug.cgi?id=4312>
    Protect /* sequences from cpp pre-processor removal without transforming
    to Unicode mathematical asterisk character, and fix incorrectly encoded
    /* sequences in XShm.man.

commit cca90a25678bf3c3269af1c0ac5493cfd4809727
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Nov 27 15:55:28 2007 -0800

    Fix typos in source comments

commit 8d8a6ac4012c2bd5bfd037e42f69f5b2b111433d
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 25 18:28:21 2007 -0800

    Version bump: 1.0.3

commit 6856538d6dec00795f492262eb4f730735eff8d1
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 25 18:23:14 2007 -0800

    Replace static ChangeLog with dist-hook to generate from git log

commit 5243b3f7d462a06ec245b28ed007d5b4c85651ee
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Oct 24 17:22:34 2006 -0700

    Man page spelling/typo fixes

commit 0bf51bc7ba7c0b6f2540503491b9ec104c1c22d1
Merge: ee11d4d... a82d7b9...
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Oct 24 17:14:45 2006 -0700

    Merge branch 'master' of git+ssh://git.freedesktop.org/git/xorg/lib/libXext

commit ee11d4d2098dfcb711d1ca9825256bd4625e91bb
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Oct 24 17:14:32 2006 -0700

    Add XShm.man and aliases to Makefile.am

commit 50bb4abe86635c8bb26ad643d4402f109e03a7d0
Author: Sam Lau <sam.lau@sun.com>
Date:   Tue Oct 24 17:14:02 2006 -0700

    Sun bug 4985712: man pages needed for MIT-SHM extension functions
    
    <http://bugs.opensolaris.org/bugdatabase/view_bug.do?bug_id=4985712>

commit 6b50588e63ba02cb08a9465a1c30127f726c9ce2
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Oct 24 17:11:48 2006 -0700

    Add *~ to .gitignore to skip over emacs/patch backup files

commit a82d7b9481ffb2dc62e490fb48e72219099d8b40
Author: Adam Jackson <ajax@benzedrine.nwnk.net>
Date:   Fri Oct 13 16:10:28 2006 -0400

    Bump to 1.0.2

commit 1faa250b670e735bc4a8674ca4fa9df66626fb33
Author: David Nusinow <dnusinow@debian.org>
Date:   Sat Aug 26 18:25:16 2006 +0000

    Fix various manpages that didn't have their section generated from
    __libmansuffix__.

commit 9606f8ba35c568a5e9300bd9e3e2d217279c3d09
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jul 13 14:58:53 2006 -0700

    renamed: .cvsignore -> .gitignore

commit 16889772a59ae778e1e8ec9c110d18c1acd38674
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu Apr 27 00:10:14 2006 +0000

    Bump to 1.0.1

commit 01e915b2775b78d461c873bac1b2787985196a5f
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Apr 3 00:55:03 2006 +0000

    Coverity #929: Additional defensive NULL check.

commit 1225f28f6ef0712c9adf52edd8b1a3205bbc76b2
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Apr 3 00:51:20 2006 +0000

    Coverity #575: Plug a leak on the error path.

commit bd0bcd84be01052d9d1ebd075f459113ac96e9de
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun Feb 12 18:19:21 2006 +0000

    Bug #5628 <https://bugs.freedesktop.org/show_bug.cgi?id=5628> Shadow pages
        not created correctly when MANDIR & MANSUFFIX don't match.

commit 33b0f4398ee48a7ec57748573871a48793dd49d9
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:29 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 9c6b36858dc722e8aa63afc6ad10e1378d81f9cb
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:43 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit d885a4e61b8571cf7fe2b226f203b18f16de5cc1
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:43 2005 +0000

    Update package version number for X11R7 RC3 release.

commit f472f2feebab449d9eddd920d4313c2f37c82c41
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 04:41:49 2005 +0000

    Add check and cflags for malloc(0) returning NULL.

commit a290a2dd0022398dd70acf965bc0d9a590a71a40
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:03:05 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 59ac6be6490072bd562d5f4447f01a5a080cf5f9
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Nov 19 07:15:41 2005 +0000

    Update pkgconfig files to separate library build-time dependencies from
        application build-time dependencies, and update package deps to work
        with separate build roots.

commit d17efabf719888d7895e6cee7ff06d7ccb013676
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:19:12 2005 +0000

    Update package version number for X11R7 RC2 release.

commit 81bbc01afbb1c5cfb466ced2d11930ed15c942aa
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Nov 1 15:11:51 2005 +0000

    Update pkgcheck dependencies to work with separate build roots.

commit 954f6a876e909a80490934b44ffc7656bb16e87a
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:48:10 2005 +0000

    Update package version number for RC1 release.

commit 31dcfdc277cef24b62ca328df9d0e9556b86fff2
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Oct 18 00:00:08 2005 +0000

    Use @LIB_MAN_SUFFIX@ instead of $(LIB_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit ba4c273726718bbb6e7aabb9607f08cf1ac0faeb
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 21:13:15 2005 +0000

    Rename .shadows.DONE to shadows.DONE to avoid some make's thinking it's a
        suffix rule (reported by Matthieu Herrb)

commit 3482953f137322896027b1bfa3dae09064270ff0
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Thu Oct 13 04:25:46 2005 +0000

    Add generated man pages to .cvsignores

commit 3a57856605a30b29d770571d6c734a5560215aa6
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 12 14:04:00 2005 +0000

    Add .shadows.DONE to CLEANFILES to pass distcheck

commit 1c34ea842fdece6b1a8c8666c2e7fc2b803ffd89
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Oct 11 23:05:30 2005 +0000

    configure.ac Set up cpp pre-processing of man pages Add shadow man pages
        for man pages that document multiple functions.

commit 2751dbddbea70b8732081f0ad63b1b0d6791447c
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Sep 24 00:59:00 2005 +0000

    Fix function prototypes to match dpms.h

commit 78c1c4533bcbe7f4af0d700e6b7442824048e0af
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Jul 30 21:07:25 2005 +0000

    Add prototypes of Xalloc/free functions.
    Export ImUtil.h to match modular tree install.
    Define SVR4 to 1 to avoid warning about redefining to different values.
    Include missing headers to clear more compiler warnings.

commit bc50fc0cb028ed21f919a55a2f6b82aad38d0e07
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:51 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit beb3c2e2d2122198043034b789c5ea8857fb1c10
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Jul 23 18:09:40 2005 +0000

    Modify modular libs to use Xregion.h instead of region.h

commit 5413d41389ce8dc1b93039b557385bf6e7477cf8
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Jul 23 18:06:16 2005 +0000

    lib/Xrender/Picture.c Change region.h to Xregion.h and modify internal
        references to include <X11/Xregion.h>.

commit df6e6114ddef0f7facd8417f1a78ceca25cf9cb6
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Jul 16 07:04:25 2005 +0000

    Set Xext soversion to 6.4.0 per default.

commit 4b8f4b7e6085a34d081a3c9057d34fa6f8030125
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Jul 15 17:17:10 2005 +0000

    Set .so versions correctly for Solaris and recent OpenBSD releases

commit 4f16d4cf4ddac8709e0ab6612239287c9469c753
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jul 9 06:17:03 2005 +0000

    Add .cvsignore files Switch _la_CFLAGS for AM_CFLAGS to clean up directory

commit 1533ef4bfd436df164979ff5e79491edbb086d94
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Jun 28 23:32:40 2005 +0000

    Add man pages for DPMS Extension calls in libXext. (Converted to man page
        format by Sun doc teams based on DPMS specification docs.)

commit 8d8d049eca980869cc1df5e48f992e8a8de2e49b
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Jun 28 23:21:40 2005 +0000

    Add man pages for DPMS Extension calls in libXext. (Converted to man page
        format by Sun doc teams based on DPMS specification docs.)

commit f4c9f37c88bf2e08d57abc2c1ecf31fb7223cb02
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun May 22 19:05:11 2005 +0000

    Convert man pages to long file names in lib/X11, lib/Xt, & lib/Xext

commit 1706d249d70a5045530ec9aee5ac9c51e00a7f93
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu May 19 00:22:32 2005 +0000

    revert last change, didn't do right thing at all, sorry for the noise

commit f8bdfbae1846ea01877cedd7ea836eaa289ecbe6
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu May 19 00:10:07 2005 +0000

    Require automake 1.7 in AM_INIT_AUTOMAKE

commit dc7cb253ba14b78ef0f863995bd0fc5a6a0ee017
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Wed May 18 18:52:39 2005 +0000

    - Link Xext to /lib/Xext/src rather than /lib/Xext
    - Conditionally include config.h in Xext source
    - Remove unnecessary include of ImUtil.h from XShm.c

commit 279e13a6a36bfeb3c8aa4272fdd6d4bcef9723a6
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Wed May 18 18:50:58 2005 +0000

    Add man/Makefile.am and src/Makefile.am

commit 3dde0d733cad58f01c3d667d7e6bc0dd6ca40608
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Wed May 18 18:50:23 2005 +0000

    - Add build system for Xext

commit d7dfac923b491ade943977e6949e40794bdc722f
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Fri Feb 18 12:29:55 2005 +0000

    Bugzilla #2570 (https://bugs.freedesktop.org/show_bug.cgi?id=2570)
        attachment #1930 (https://bugs.freedesktop.org/attachment.cgi?id=1930):
        fixes build of libXext on mingw

commit f6ae96f7a0d7cd5f36536b030563369801a1faba
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Jan 22 05:12:08 2005 +0000

    Add man pages for TOG-CUP extension functions. (Converted to man page
        format by Sun based on TOG-CUP specification docs.)

commit 989a1ba0ea890190988b86b4570376cd07ed49ea
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Sep 24 03:46:28 2004 +0000

    Bug #1434: Convert lib/Xext to ANSI function prototypes (Jeff Muizelaar).

commit 6a810dfc8f3797a833539c3092bc585a25995192
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 18:43:41 2004 +0000

    Merging XORG-CURRENT into trunk

commit b3efb5deb1d9450351760545960d6cea63425ebe
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:32:07 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit b0aeb370a60a2034a92957278e110fadbabfc042
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:11:28 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 0e02a1b3add5b25b9668bc28136ca4ccca92ace8
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:35:33 2004 +0000

    readding XFree86's cvs IDs

commit 40996c108cd47b63e433f39b32435401fd429d7f
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:22:42 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 1d27856035fac5f390ad1e475f4a7f9082792899
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Thu Dec 4 22:01:36 2003 +0000

    XFree86 4.3.99.901 (RC 1)

commit c0ca603fd38f805d5f53490ec6fb8b5e7f813954
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:28:09 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit 6b0dceb5b6027c98e478467576cf61aee1d87074
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:48 2003 +0000

    XFree86 4.3.0.1

commit 0d3d2607404af7f6e059fab64caea39dc34e391e
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 15:54:38 2003 +0000

    R6.6 is the Xorg base-line
